Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Class Translation

    java.lang.Object
      org.crosswire.jsword.book.Translation

    public class Translation

extends Object

A Translation links a Greek/Hebrew work with a localized translation, and can link a number of verses that are examples of the given translation.

Perhpas we should consider linking to the Bible that translated the original in the ways listed in the Key?.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: Translation.java,v 1.6 2004/11/28 21:36:46 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`private Key` | `key` The matching verses
`private Strongs` | `strongs` The original Strongs number
`private String` | `word` The localized word

Constructor Summary
`Translation(String word, Strongs strongs, Key key)` All translations must be from a greek/hebrew word, to a localized word

Method Summary
`Key` | `getKey()` Accessor for the Keys that translate the word/number in this way.
`Strongs` | `getStrongs()` Accessor for the original word.
`String` | `getWord()` Accessor for the localized translation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### word

    private String word

  The localized word

### strongs

    private Strongs strongs

  The original Strongs number

### key

    private Key key

  The matching verses

Constructor Detail

### Translation

    public Translation(String word,
                       Strongs strongs,
                       Key key)

  All translations must be from a greek/hebrew word, to a localized word

  Parameters:
    `word` - The localized word(s).
    `strongs` - The original word.

Method Detail

### getWord

    public String getWord()

  Accessor for the localized translation

### getStrongs

    public Strongs getStrongs()

  Accessor for the original word.

### getKey

    public Key getKey()

  Accessor for the Keys that translate the word/number in this way.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD